/* $Header: /CVSROOT/debris/cmds/chmod.c,v 1.1 2005/08/13 22:59:12 tino Exp $
 *
 * DebRIS: DEBian Remote Install Scripter
 * *chmod <mode> <file> ...
 *
 * $Log: chmod.c,v $
 * Revision 1.1  2005/08/13 22:59:12  tino
 * additional functions, see ChangeLog
 *
 */

static int
driscmd_chmod(char *args)
{
  const char	*n, *file;
  unsigned long	mode;
  char		*end;
  int		ret;

  n	= nextarg(&args);
  mode	= strtoul(n, &end, 8);
  if (*end || !*n)
    ex("internal error: debris sends funny mode: %s", n);

  ret	= 0;
  while ((file=nextarg(&args))!=0)
    if (chmod(args, mode))
      ret	= err("chmod: cannot set %lo to %s", mode, args);
  return ret;
}
